Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.remote
Class RelationshipsClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.resource.remote.WsResourceClient
              org.apache.muse.ws.dm.muws.remote.RelationshipsClient

All Implemented Interfaces:
  SoapMonitor

public class RelationshipsClient
extends WsResourceClient

RelationshipsClient is a client for invoking the web services operations in WSDM MUWS Part 2 that are defined by the muws2:Relationships capability.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`RelationshipsClient(EndpointReference destination)`
`RelationshipsClient(EndpointReference destination, EndpointReference source)`
`RelationshipsClient(EndpointReference destination, EndpointReference source, Environment environment)`
`RelationshipsClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`WsResourceClient[]` | `queryRelationshipsByType(QName[] types)`

Methods inherited from class org.apache.muse.ws.resource.remote.WsResourceClient
`deleteResourceProperty, destroy, getMultipleResourceProperties, getPropertyAsObject, getResourceProperty, getResourcePropertyDocument, insertResourceProperty, putResourcePropertyDocument, queryResourceProperties, setResourceProperties, setTerminationTime, updateResourceProperty`

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationshipsClient

    public RelationshipsClient(EndpointReference destination)

### RelationshipsClient

    public RelationshipsClient(EndpointReference destination,
                               EndpointReference source)

### RelationshipsClient

    public RelationshipsClient(EndpointReference destination,
                               EndpointReference source,
                               Environment environment)

### RelationshipsClient

    public RelationshipsClient(EndpointReference destination,
                               EndpointReference source,
                               SoapClient soapClient)

Method Detail

### queryRelationshipsByType

    public WsResourceClient[] queryRelationshipsByType(QName[] types)
                                                throws SoapFault

  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD